Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`web`.`_template_util``

module documentation
(source)

twisted.web.util and twisted.web.template merged to avoid cyclic deps

Constant | `NOT_DONE_YET` | Undocumented
Class | `_NSContext` | A mapping from XML namespaces onto their prefixes in the document.
Class | `_TagFactory` | A factory for `Tag` objects; the implementation of the `tags` object.
Class | `_ToStan` | A SAX parser which converts an XML document to the Twisted STAN Document Object Model.
Function | `_flatsaxParse` | Perform a SAX parse of an XML document with the _ToStan class.
Variable | `_moduleLog` | Undocumented

NOT_DONE_YET: `int` = (source)

Undocumented

Value

    1

def _flatsaxParse(fl: `Union[IO[AnyStr], str]`) -> `List[Flattenable]`: (source)

Perform a SAX parse of an XML document with the _ToStan class.

Parameters
fl:`Union[IO[AnyStr], str]` | The XML document to be parsed.
Returns
`List[Flattenable]` | a `list` of Stan objects.

_moduleLog = (source)

Undocumented